Angular UI Components Documentation

Angular Button Component

The Button component for Angular - configured to show textual content only, or to display a predefined icon, an image, or a custom icon, or yet a combination of textual and image content.

Step 1: Install jqWidgets

Install the jqWidgets library in your Angular project using npm:

npm install jqwidgets-ng --save

Step 2: Add jqx.base.css

To ensure proper styling of the jqxButton component, include the jqWidgets base CSS file in your project. Add the following line to the angular.json file under the styles array:

"styles": [
  "src/styles.css",
  "node_modules/jqwidgets-ng/jqwidgets/styles/jqx.base.css"
]

Step 3: Create a Standalone Component

Angular supports standalone components, a modern and streamlined approach for building Angular applications. This example demonstrates using jqxButton in a standalone component.

Complete Example

Below is an example of a standalone Angular component using jqxButton:

// main.ts
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';

bootstrapApplication(AppComponent).catch((err) => console.error(err));

// app.component.ts
import { Component } from '@angular/core';
import { jqxButtonModule } from 'jqwidgets-ng/jqxbuttons';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [jqxButtonModule],
  template: `
    <jqxButton
      #button
      [width]="120"
      [height]="40"
      (onClick)="handleClick()"
    >
      Click Me
    </jqxButton>
  `,
  styles: [
    `
      jqxButton {
        margin: 20px;
      }
    `,
  ],
})
export class AppComponent {
  handleClick(): void {
    console.log('Button clicked!');
  }
}

Additional Features

jqxButton provides several features to enhance your buttons:

  • Custom Styling: Customize button appearance with properties like width, height, and theme.
  • Event Handling: Use the (onClick) event for handling button clicks.
  • Disabled State: Set the button to a disabled state using the [disabled] property.
  • Integration: Use buttons within forms or as standalone interactive elements.

Event Handling

jqxButton emits the onClick event to handle user interactions. For example:

<jqxButton
  [width]="120"
  [height]="40"
  (onClick)="handleClick()"
>
  Submit
</jqxButton>

In the component class:

handleClick(): void {
  console.log('Submit button clicked!');
}

Conclusion

With this guide, you can seamlessly integrate jqxButton into your Angular applications. Its customizable features and event-handling capabilities make it a versatile choice for interactive interfaces. For more details and advanced usage, visit the jqWidgets documentation.

Button API

API Reference of the jQWidgets Button component for Angular: Button API

This tutorial will show you the basics of how to get started with the jQWidgets Button React Component.
Refer to Getting Started with React before you start with this help topic.
I. Imports:
import * as React from 'react'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css';import 'jqwidgets-scripts/jqwidgets/styles/jqx.material-purple.css';import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbutton';
II. Class:
class App extends React.PureComponent<{}, IButtonProps> { constructor(props: {}) { super(props); this.state = { width: '100%' // Other Widget Props } } render() { return ( <JqxButton width={this.state.width} height={"100%"} ..... /> ) }}
III. Render:
ReactDOM.render(<App />, document.getElementById('app'));
The event names in React are constructed of the original event names starting with capital letter plus on upfront:
class App extends React.PureComponent<{}, IButtonProps> { constructor(props: {}) { super(props); this.state = { width: '100%' // Other Widget Props } } render() { return ( <JqxButton onNameOfEvent={this.handleEvent} width={this.state.width} height={"100%"} ..... /> ) } private handleEvent(e: Event): void { // Do Something ... }}
This is how you call methods & props:
//Get Methodsconst value = this.myButton.current!.methodName(arg1, arg2); //Set Methodsthis.myButton.current!.methodName(arg1, arg2); //Get Propertiesconst height = this.state.height; //Set Propertiesthis.setState({ height: 250 });
Every component have a method setOptions which accepts a object as an argument. This object contains component settings.
this.myButton.current!.setOptions({ width: 350, height: 400 });
Every component also have a method getOptions which returns the value of the requested option.
const width = this.myButton.current!.getOptions('width');
API Reference of the jQWidgets Button React Component: Button API
Demos Reference of the jQwidgets Button React Component: Button Demos

Vue UI Components Documentation

Vue Button Component

The Button component for Vue - configured to show textual content only, or to display a predefined icon, an image, or a custom icon, or yet a combination of textual and image content.

Prerequisites

Refer to Vue Getting Started before you start with this help topic.

Configuration

After you have created your App.vue file, here is how you should structure it:

The Button component for Vue requires the following import:

import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';

Add the jqxButton component to the components section of the the Vue class:

 components: {
JqxButton
},

Template

The App.vue has a <template> structural tag where we determine the application structure. There we will also set the tags for the new components - <JqxButton/>

<template>
<JqxButton ref="button"
:width="width"
:height="height"
:value="value"
@click="click()">
Button
</JqxButton>
</template>

Properties

The properties of the <JqxButton/> component are defined in the data member of the Vue class. We should put them in the return object of the data function:

data: function () {
return {
width: 120,
height: 30,
value: "Button"
}
}

Events

The events in Vue are set as an attribute with @ prefix, for example:

<JqxButton ref="button" @click="click()">
Button
</JqxButton>

All events that are bound to a component are implemented in the methods member of the Vue class.

methods: {
click: function () {
// Do something...
}
}

Methods

To use a component's method we should have its reference. In Vue we refer to a component by the special $refs property. Before that we need to add the desired name reference to that component:

<JqxButton ref="button"></JqxButton>

Here how you can use a component's method:

this.$refs.button.val('Clicked');

methods: {
// Add here all used callbacks and/or events
click: function () {
// Do something when clicking on the button
this.$refs.button.val('Clicked');
}
}

If we want to add additional methods we should also implement them in the methods member.

In case we need to do some precalculation or something else before the components are rendered, we should use the beforeCreate member. It depends on the case.

If you have followed the above steps, you App.vue file would look like this:

App.vue:

Button Examples

Run Code